> ## Documentation Index
> Fetch the complete documentation index at: https://docs-docflow.textin.com/llms.txt
> Use this file to discover all available pages before exploring further.

# 生成短时间有效的token

> 生成短时间有效的token(用于iframe场景)



## OpenAPI

````yaml /docflow/cn/rest-api/openapi.bundle.yaml get /api/app-api/sip/platform/v2/auth/token
openapi: 3.0.0
info:
  title: DocFlow API
  description: DocFlow REST API，提供文件上传和获取文件处理结果能力
  version: 2.8.4
servers:
  - url: https://docflow.textin.com
security:
  - ApiId: []
    SecretCode: []
paths:
  /api/app-api/sip/platform/v2/auth/token:
    get:
      summary: 生成短时间有效的token
      description: 生成短时间有效的token(用于iframe场景)
      operationId: authToken
      responses:
        '200':
          description: 成功获取文件列表
          content:
            application/json:
              schema:
                allOf:
                  - $ref: '#/components/schemas/CodeMessage'
                  - $ref: '#/components/schemas/TokenResult'
components:
  schemas:
    CodeMessage:
      type: object
      properties:
        code:
          type: integer
          description: 状态码
          example: 200
        msg:
          type: string
          description: 状态描述
      required:
        - code
        - msg
    TokenResult:
      type: object
      properties:
        result:
          type: object
          properties:
            token:
              type: string
              description: 有效的token
              example: abcd
            expiry:
              type: integer
              description: 过期时间(格式是epoch时间戳，单位：秒)
              example: 1700000000
  securitySchemes:
    ApiId:
      type: apiKey
      in: header
      name: x-ti-app-id
    SecretCode:
      type: apiKey
      in: header
      name: x-ti-secret-code

````